#NEVER
sqlcounter max_bytes {
counter-name = Max-Total-Octets
check-name = Max-Total-Octets
reply-name = Max-Total-Octets
sqlmod-inst = sql
key = User-Name
reset = never
query = "SELECT SUM(AcctInputOctets) + SUM(AcctOutputOctets) FROM radacct WHERE UserName='%{%k}'"
} 

sqlcounter max_bytes_output {
counter-name = Max-Output-Octets
check-name = Max-Output-Octets
reply-name = Max-Output-Octets
sqlmod-inst = sql
key = User-Name
reset = never
query = "SELECT SUM(AcctOutputOctets) FROM radacct WHERE UserName='%{%k}'"
} 

sqlcounter max_bytes_input {
counter-name = Max_Input-Octets
check-name = Max-Input-Octets
reply-name = Max-Input-Octets
sqlmod-inst = sql
key = User-Name
reset = never
query = "SELECT SUM(AcctInputOctets) FROM radacct WHERE UserName='%{%k}'"
} 

#MONTH
sqlcounter max_bytes_monthly {
counter-name = Max-Total-Octets-Monthly
check-name = Max-Total-Octets-Monthly
reply-name = Max-Total-Octets-Monthly
sqlmod-inst = sql
key = User-Name
reset = monthly
query = "SELECT SUM(AcctInputOctets) + SUM(AcctOutputOctets) FROM radacct WHERE UserName='%{%k}'"
} 

sqlcounter max_bytes_output_monthly {
counter-name = Max-Output-Octets-Monthly
check-name = Max-Output-Octets-Monthly
reply-name = Max-Output-Octets-Monthly
sqlmod-inst = sql
key = User-Name
reset = monthly
query = "SELECT SUM(AcctOutputOctets) FROM radacct WHERE UserName='%{%k}'"
} 

sqlcounter max_bytes_input_monthly {
counter-name = Max_Input-Octets-Monthly
check-name = Max-Input-Octets-Monthly
reply-name = Max-Input-Octets-Month-Monthly
sqlmod-inst = sql
key = User-Name
reset = monthly
query = "SELECT SUM(AcctInputOctets) FROM radacct WHERE UserName='%{%k}'"
} 

#HOURLY
sqlcounter max_bytes_hourly {
counter-name = Max-Total-Octets-Hourly
check-name = Max-Total-Octets-Hourly
reply-name = Max-Total-Octets-Hourly
sqlmod-inst = sql
key = User-Name
reset = hourly
query = "SELECT SUM(AcctInputOctets) + SUM(AcctOutputOctets) FROM radacct WHERE UserName='%{%k}'"
} 

sqlcounter max_bytes_output_hourly {
counter-name = Max-Output-Octets-Hourly
check-name = Max-Output-Octets-Hourly
reply-name = Max-Output-Octets-Hourly
sqlmod-inst = sql
key = User-Name
reset = hourly
query = "SELECT SUM(AcctOutputOctets) FROM radacct WHERE UserName='%{%k}'"
} 

sqlcounter max_bytes_input_hourly {
counter-name = Max_Input-Octets-Hourly
check-name = Max-Input-Octets-Hourly
reply-name = Max-Input-Octets-Hourly
sqlmod-inst = sql
key = User-Name
reset = hourly
query = "SELECT SUM(AcctInputOctets) FROM radacct WHERE UserName='%{%k}'"
} 

#DAY
sqlcounter max_bytes_daily {
counter-name = Max-Total-Octets-Daily
check-name = Max-Total-Octets-Daily
reply-name = Max-Total-Octets-Daily
sqlmod-inst = sql
key = User-Name
reset = daily
query = "SELECT SUM(AcctInputOctets) + SUM(AcctOutputOctets) FROM radacct WHERE UserName='%{%k}'"
} 

sqlcounter max_bytes_output_daily {
counter-name = Max-Output-Octets-Daily
check-name = Max-Output-Octets-Daily
reply-name = Max-Output-Octets-Daily
sqlmod-inst = sql
key = User-Name
reset = daily
query = "SELECT SUM(AcctOutputOctets) FROM radacct WHERE UserName='%{%k}'"
} 

sqlcounter max_bytes_input_daily {
counter-name = Max_Input-Octets-Daily
check-name = Max-Input-Octets-Daily
reply-name = Max-Input-Octets-Daily
sqlmod-inst = sql
key = User-Name
reset = daily
query = "SELECT SUM(AcctInputOctets) FROM radacct WHERE UserName='%{%k}'"
} 

