ALTER TABLE userinfo ADD Country VARCHAR(255) Default NULL;
ALTER TABLE userinfo ADD City VARCHAR(255) Default NULL;
ALTER TABLE userinfo ADD ZipCode VARCHAR(255) Default NULL;
ALTER TABLE userinfo ADD RadiusProfile SMALLINT(11) Default NULL;
ALTER TABLE userinfo ADD Note LONGTEXT;


DROP TABLE IF EXISTS `radius_config`;
CREATE TABLE `radius_config` (
	  `radius_server` varchar(100) NOT NULL default 'localhost',
	  `radius_server_sec` varchar(100) NOT NULL default 'localhost',
	  `radius_server_port` varchar(100) default '1812',
	  `radius_server_secret` varchar(200) default 'secret',
	  `radius_log` varchar(200) default '/var/log/radius.log',
	  `radius_bin` varchar(200) default '/usr/sbin/freeradius',
	  `radius_conf` varchar(200) default '/etc/freeradius',
	  `radius_version` varchar(3) default '2.X',
	  `radclient` varchar(200) default '/usr/sbin/radclient',
	  `radius_dictionnary` varchar(200) default '/usr/share/freeradius/',
	  `radius_startscript` varchar(200) default '/etc/init.d/freeradius',
	  `location_id` int(11) NOT NULL default '1',
	  PRIMARY KEY  (`location_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `general_opt`;
CREATE TABLE `general_opt` (
	  `phpmyprepaid_path` varchar(200) default NULL,
	  `cron_path` varchar(200) default NULL,
	  `cron_bin` int(11) default '0',
	  `rrdtool_bin` varchar(200) default NULL,
	  `session_expire` int(11) default '0',
	  `refresh` int(11) default '60',
	  `apache_site_path` varchar(200) default NULL,
	  `apache_bin` varchar(200) default NULL,
	  `apache_ssl_dir` varchar(200) default NULL,
	  `system_log_path` varchar(200) default NULL,
	  `sudo_bin` varchar(200) default NULL,
	  `mysqlclient` varchar(200) default NULL,
	  `snmpwalk` varchar(200) default NULL,
	  `snmpget` varchar(200) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

ALTER TABLE `general_opt` ADD `id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY FIRST ;
UPDATE BillingPlan SET TimeBp=TimeBp*60 WHERE ID>0;
ALTER TABLE `general_opt` ADD `location_id` INT( 11 ) NOT NULL ;
 ADD PRIMARY KEY(`id`,`location_id`);
ALTER TABLE `general_opt` ADD PRIMARY KEY ( `location_id` ) ; ;
