#!/usr/bin/perl 
## obtenir la liste du répertoire passé en paramètre, 
#
## à défaut le rép courant
#
#print "Entrer un chemin de répertoire (par défaut /home\n";


$dir_phpmyprepaid_install="/usr/local/";
$dir_phpmyprepaid_dest="/usr/local/phpmyprepaid/";

#RADIUS
$dir_radius_conf="/etc/freeradius/";
$radius_bin="freeradius";
$radius_dict_dir="/usr/share/freeradius/";
$db_name="phpmyprepaid";
$db_uname="root";
$db_passwd="PUT UR PASSWORD";

#LOCATION
$location_domain="mywireles.pf";

#PORTAL
$portal_ip_address="192.168.18.1";
@tab=split('\.','192.168.18.1');
$reverse_ip_portal=$tab[2].'.'.$tab[1].'.'.$tab[0];
$ext_if="eth0";
$portal_if="tun0";
$dns_provider="202.3.225.10";
$smtp_provider="202.3.225.22";
$portal_srv_name="gateway";


#DNS
$dir_dns_conf="/etc/bind/";
$dir_dns_zone_conf="/etc/bind/";
$dns_bin="bind9";

#CRON CONFIG
$dir_cron_dest="/etc/cron.d/";
$cron_bin="cron";

#SSL
$apache_ssl_dir="/etc/apache2/ssl/";
system('mkdir -p '.$apache_ssl_dir);

#APACHE CONFIG
$file_apache_pem=$apache_ssl_dir.$location_domain.".pem";

$dir_apache_modules="/etc/apache2/sites-enabled/";
$file_apache_src="apache/phpmyprepaid-apache.conf";
$apache_bin="apache2";
$dir_tmp="/tmp/";
$apache_user=`ps -ef |grep apache2 | cut -d ' ' -f 1 | grep -v "root"`;
@tab=split('\n',$apache_user);
$apache_user=$tab[0];

#INSTALL PHPMYPREPAID
mkdir($dir_phpmyprepaid_dest);
system('cp -rf ../* '.$dir_phpmyprepaid_dest);
system('chmod 755 -R '.$dir_phpmyprepaid_dest.'/www/');
system('chmod 777 -R '.$dir_phpmyprepaid_dest.'/www/tmp/');
system('chown '.$apache_user.'.'.$apache_user.' '.$dir_phpmyprepaid_dest.'/www/');

#SSL
system('perl ssl/apache2-ssl-certificate -days 900');

#APACHE CONFIGURATION
print "Installing APACHE !\n";
$ch="PHPMYPREPAID_DEST:$dir_phpmyprepaid_dest;APACHE_PEM:$file_apache_pem;PORTAL_IP_ADRESS:$portal_ip_address;SERVER_NAME:$portal_srv_name.$location_domain";
copy_and_replace($file_apache_src,$dir_apache_modules."phpmyprepaid-apache.conf",$ch);
system('/etc/init.d/'.$apache_bin.' restart');

#CRON
print "Installing CRON !\n";
$ch="PHPMYPREPAID_DEST:"."\"".$dir_phpmyprepaid_dest."configfiles/cron/phpmyprepaid.admin.conf\"";
copy_and_replace("cron/phpmyprepaid.admin.conf",$dir_phpmyprepaid_dest."configfiles/cron/phpmyprepaid.admin.conf",$ch);

$ch="PHPMYPREPAID_DEST:".$dir_phpmyprepaid_dest."configfiles/cron";
copy_and_replace("cron/phpmyprepaid.cron",$dir_cron_dest."phpmyprepaid.cron",$ch);

$ch="DIR_PHPMYPREPAID_CRON:".$dir_phpmyprepaid_dest."configfiles/cron/phpmyprepaid.admin.conf";
copy_and_replace("cron/tot_stats",$dir_phpmyprepaid_dest."configfiles/cron/tot_stats",$ch);

$ch="DIR_PHPMYPREPAID_CRON:".$dir_phpmyprepaid_dest."configfiles/cron/phpmyprepaid.admin.conf";
copy_and_replace("cron/clean_radacct",$dir_phpmyprepaid_dest."configfiles/cron/clean_radacct",$ch);

$ch="DIR_PHPMYPREPAID_CRON:".$dir_phpmyprepaid_dest."configfiles/cron/phpmyprepaid.admin.conf";
copy_and_replace("cron/monthly_tot_stats",$dir_phpmyprepaid_dest."configfiles/cron/clean_radacct",$ch);

$ch="DIR_PHPMYPREPAID_CRON:".$dir_phpmyprepaid_dest."configfiles/cron/phpmyprepaid.admin.conf";
copy_and_replace("cron/truncate_radacct",$dir_phpmyprepaid_dest."configfiles/cron/truncate_radacct",$ch);
system('/etc/init.d/'.$cron_bin.' restart');


#DNS
print "Installing DNS !\n";
#print "Install dns file (yes/no)\n";
$ch="DIR_DNS_CONF:$dir_dns_zone_conf;LOCATION_DOMAIN:$location_domain;REVERSE_IP:$reverse_ip_portal";
copy_and_replace("dns/named.conf.local",$dir_dns_conf."named.conf.local",$ch);

$ch="SERVER:$portal_srv_name;DOMAIN:$location_domain;NETWORK_ADDR:$portal_ip_address";
copy_and_replace("dns/portal.dns",$dir_dns_conf."$location_domain",$ch);
$ch="SERVER:$portal_srv_name;DOMAIN:$location_domain;NETWORK_ADDR:$portal_ip_address";
copy_and_replace("dns/portal.dns.rev",$dir_dns_conf.$location_domain.".rev",$ch);
system ('echo "include \"'.$dir_dns_conf.'named.conf.local\";">>'.$dir_dns_conf.'named.conf');
system('/etc/init.d/'.$dns_bin.' restart');

#FIREWALL
print "Installing firewall !\n";

#print "Install firewall (yes/no)\n";
$ch="EXTIFVALUE:".$ext_if.";INTIFVALUE:".$portal_if.";NETWORK=:NETWORK=".$portal_ip_address.";DNS_PROVIDER_VALUE:$dns_provider;SMTP_PROVIDER_VALUE:$smtp_provider";
copy_and_replace("firewall/chilli.firewall","/etc/chilli.firewall",$ch);
system('echo "sh /etc/chilli.firewall">>/etc/rc.local');
system('sh /etc/chilli.firewall');


#RADIUS
print "Install radius file !\n";
$ch="LOGIN:\"$db_uname\";PASSWD:\"$db_passwd\";DATABASE:\"$db_name\"";
copy_and_replace("radius/sql.conf",$dir_radius_conf."sql.conf",$ch);
$ch="CONFDIR:$dir_radius_conf";
copy_and_replace("radius/radiusd.conf",$dir_radius_conf."radiusd.conf",$ch);
system("cp -f radius/dictionnary.chillispot $radius_dict_dir");
system('echo  "\$INCLUDE dictionary.chillispot" >>'.$radius_dict_dir.'/dictionary');
system('/etc/init.d/'.$radius_bin.' restart');



sub copy_and_replace() {
	$src=shift;
	$dest=shift;
	$tab_ch=shift;
	
	open(RD,$src) or die ("Erreur d'ouverture de $src : $!\n") ;
	open(WR,">$dest") or die ("Erreur de creation de $dest : $!\n") ;
	while (<RD>) {

		  my @values = split(';', $tab_ch);
		  
		    foreach $val (@values) {
			    my @tab = split(':', $val);
			    s/$tab[0]/$tab[1]/g;
		  }
		  print WR $_;
	  }
	  
	  close(RD);
	  close(WR);
  }
  

sub copy_file(){
	($source, $dest) = @_;
	
	open(SOURCE, "<$source") || die "Error: $!\n";
	print $source."\n";
	open(DEST, ">$dest") || die "Error: $!\n";
	while ($len = sysread(SOURCE, $buffer, 512))
	{
		syswrite(DEST, $buffer, $len);
		print $buffer."\n";
	}
	close(DEST);
	close(SOURCE);
	
}


