delimiter |
SET GLOBAL log_bin_trust_function_creators=1|

DROP PROCEDURE IF EXISTS TimeToFinish|
CREATE PROCEDURE `TimeToFinish` (name CHAR(20))
BEGIN
	SET @type='';
	SET @gm='';
	SET @ad='';
	SET @val='';
	SELECT Type INTO @type FROM userinfo WHERE UserName=name GROUP BY Username;

	SELECT activated  INTO @ad FROM userinfo WHERE UserName=name;

		if @ad!=1 THEN
			 UPDATE userinfo SET activeDate=NOW(),activated='1' WHERE Username=name;
		END IF;
	
        IF @type="Subscription Time" or @type="Hourly" THEN

		SELECT Value INTO @val FROM radcheck WHERE Attribute='Max-All-Session' And UserName=name;
		SELECT TimeToFinish  INTO @gm FROM userinfo WHERE UserName=name;

		IF @gm=1 and @ad!=1 THEN
			 UPDATE radcheck SET Value=DATE_FORMAT(DATE_ADD(NOW(),INTERVAL @val SECOND),'%e %b %Y %T') WHERE Username=name AND Attribute='Expiration';
		END IF;
		END IF;
		END |
delimiter ;


